# HierarchyWizardPageIntervals (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardPageIntervals<T>

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageBuilder<T>
      - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageIntervals<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    HierarchyWizard.HierarchyWizardView, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

      public class HierarchyWizardPageIntervals<T>
      extends HierarchyWizardPageBuilder<T>

  A page for configuring the interval-based builder.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardPageIntervals(HierarchyWizard<T> wizard, HierarchyWizardModel<T> model, HierarchyWizardPageFinal<T> finalPage)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
    `void` | `updatePage()` Update the page when the model has changed.

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageBuilder

      `canFlipToNextPage, getNextPage, setVisible, update`

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardPage

      `getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

- - ### Constructor Detail

    - #### HierarchyWizardPageIntervals

          public HierarchyWizardPageIntervals(HierarchyWizard<T> wizard,
                                      HierarchyWizardModel<T> model,
                                      HierarchyWizardPageFinal<T> finalPage)

      Creates a new instance.
      Parameters:
        `wizard` -
        `model` -
        `finalPage` -

  - ### Method Detail

    - #### createControl

          public void createControl(org.eclipse.swt.widgets.Composite parent)

    - #### updatePage

          public void updatePage()

      Description copied from class: `HierarchyWizardPageBuilder`
      Update the page when the model has changed.
      Specified by:
        `updatePage` in class `HierarchyWizardPageBuilder<T>`